View Issue Details

IDProjectCategoryView StatusLast Update
0029308LazarusIDEpublic2016-12-18 10:50
ReporterAndrey ZubarevAssigned ToOndrej Pokorny 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5 (SVN)Product Build 
Target Version1.6Fixed in Version1.7 (SVN) 
Summary0029308: flick on IDE window resize if anchordockingdsgn installed
DescriptionChanging window size leads to incorrect calculation of the main IDE bar height. There is a strong flicker
TagsNo tags attached.
Fixed in Revision51113
LazTarget1.6
Widgetset
Attached Files

Relationships

related to 0030826 closedMichl TWinControl.WMSize loop detected 
child of 0029310 closedOndrej Pokorny When resizing a form, wrong ClientHeight is retrieved (increased by MainMenu height) 

Activities

Ondrej Pokorny

2016-01-02 10:49

reporter   ~0088520

>> Changing window size leads to incorrect calculation of the main IDE bar height.

This is not correct. The main IDE bar height is calculated correctly but wrong MainIDEBar ClientHeight is retrieved when resizing (it is increased by MainMenu height). So it is an LCL issue.

Ondrej Pokorny

2016-01-02 10:58

reporter   ~0088521

Fixed with a workaround.

Andrey Zubarev

2016-01-02 11:20

reporter   ~0088524

Thanks!

Issue History

Date Modified Username Field Change
2016-01-02 09:56 Andrey Zubarev New Issue
2016-01-02 10:24 Ondrej Pokorny Assigned To => Ondrej Pokorny
2016-01-02 10:24 Ondrej Pokorny Status new => assigned
2016-01-02 10:49 Ondrej Pokorny Note Added: 0088520
2016-01-02 10:49 Ondrej Pokorny LazTarget => -
2016-01-02 10:49 Ondrej Pokorny Category Packages => LCL
2016-01-02 10:58 Ondrej Pokorny Fixed in Revision => 51113
2016-01-02 10:58 Ondrej Pokorny LazTarget - => 1.6
2016-01-02 10:58 Ondrej Pokorny Note Added: 0088521
2016-01-02 10:58 Ondrej Pokorny Status assigned => resolved
2016-01-02 10:58 Ondrej Pokorny Fixed in Version => 1.7 (SVN)
2016-01-02 10:58 Ondrej Pokorny Resolution open => fixed
2016-01-02 10:58 Ondrej Pokorny Target Version => 1.6
2016-01-02 11:18 Ondrej Pokorny Category LCL => IDE
2016-01-02 11:20 Andrey Zubarev Note Added: 0088524
2016-01-02 11:20 Andrey Zubarev Status resolved => closed
2016-01-02 11:30 Ondrej Pokorny Relationship added child of 0029310
2016-01-18 22:04 Ondrej Pokorny Relationship added related to 0029445
2016-01-18 22:17 Ondrej Pokorny Relationship deleted related to 0029445
2016-12-18 10:50 Michl Relationship added related to 0030826